<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
            <section name="cosicomodo.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
            <section name="cosifacile.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
        </sectionGroup>
    </configSections>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
    </startup>
  <appSettings>
    <add key="retailPointID" value="3"/>
    <!--<add key="retailPointID" value="203"/>-->
      
    <add key="urlCheckRetailPoint" value="http://totem.cosicomodo.it/retailpoints/check.json?id={0}"/>
    <add key="urlPromoImg" value="http://totem.cosicomodo.it/img/users/{0}/promos/{1}.jpg" />
    <add key="urlSignImg" value="http://totem.cosicomodo.it/img/users/{0}/signs/{1}.jpg" />    
        <add key="urlAppLog" value="http://totem.cosicomodo.it/applogs/insertLog.json"/>
    <!--
    <add key="urlCheckRetailPoint" value="http://localhost/cosicomodo/retailpoints/check.json?id={0}"/>
    <add key="urlPromoImg" value="http://localhost/cosicomodo/img/users/{0}/promos/{1}.jpg" />
    <add key="urlSignImg" value="http://localhost/cosicomodo/img/users/{0}/signs/{1}.jpg" />  
    <add key="urlAppLog" value="http://localhost/cosicomodo/applogs/insertLog.json"/>
-->
<!--
    <add key="urlCheckRetailPoint" value="http://cosicomodo.aimconsulting.it/retailpoints/check.json?id={0}"/>
    <add key="urlPromoImg" value="http://cosicomodo.aimconsulting.it/img/users/{0}/promos/{1}.jpg" />
    <add key="urlSignImg" value="http://cosicomodo.aimconsulting.it/img/users/{0}/signs/{1}.jpg" />
    <add key="urlAppLog" value="http://cosicomodo.aimconsulting.it/applogs/insertLog.json"/>
 -->   
    <add key="webClientTimer" value="10000"/>
    <add key="timerPromo" value="1"/>
    <add key="timerPromoDetails" value="20"/>
    <add key="timerRead" value="300"/>
    <add key="timerOrder" value="100"/>
    <add key="LogName" value="C:\\Selex\\Cosicomodo\\log\\{0}.log" />
  
    <add key="portName" value="com6" />
    <add key="baudRate" value="9600" />
    <add key="parity" value="Parity.None" />
    <add key="dataBids" value="8" />
    <add key="stopBids" value="StopBits.One" />

    <add key="retailPointID" value="3"/>
    <add key="socio" value="SUPEREMME"/>
    <add key="insegna" value="PAN"/>
    <add key="serviceSocio" value="SUPEREMME"/>
    <add key="serviceInsegna" value="PAN"/>
    <add key="TaskBarShow" value="Off" />
    <add key="FullScreenMode" value="Off" />  
    
<!--
    <add key="serviceInsegna" value="MERCATO" />
    <add key="serviceSocio" value="DIMAR" />

     <add key="serviceSocio" value="UNICOMM"/>
     <add key="serviceInsegna" value="EMISFERO"/>    
  
    <add key="serviceRichiedente" value="AIM" />

    <add key="searchDays" value="15" />    
    
    <add key="FullScreenMode" value="Off" />
    <add key="TaskBarShow" value="On" />

    <add key="socio" value="DIMAR"/>
    <add key="insegna" value="MERCATO"/>   
  -->     
  </appSettings>
    <system.serviceModel>
        <bindings>
            <basicHttpBinding>
                <binding name="getOrdersBinding">
                    <security mode="Transport">
                        <transport clientCredentialType="Basic" />
                    </security>
                </binding>
                <binding name="orderToPickingBinding">
                    <security mode="Transport">
                        <transport clientCredentialType="Basic" />
                    </security>
                </binding>
                <binding name="orderToDeliveryBinding1" />
            </basicHttpBinding>
        </bindings>
        <client>
            <endpoint address="https://talend-dev.cosicomodo.it/esb/services/getOrders"
                binding="basicHttpBinding" bindingConfiguration="getOrdersBinding"
                contract="comodoServices.getOrdersPortType" name="getOrdersPort" />
            <endpoint address="https://talend-dev.cosicomodo.it/esb/services/orderToPicking"
                binding="basicHttpBinding" bindingConfiguration="orderToPickingBinding"
                contract="comodoServices.orderToPickingPortType" name="orderToPickingPort" />
            <endpoint address="https://talend-dev.cosicomodo.it/esb/services/orderToDelivery"
                binding="basicHttpBinding" bindingConfiguration="orderToDeliveryBinding1"
                contract="PickingReferences.orderToDeliveryPortType" name="orderToDeliveryPort1" />
        </client>
    </system.serviceModel>
    <applicationSettings>
        <cosicomodo.Properties.Settings>
            <setting name="cosifacile_quantycaReference_modifyOrder" serializeAs="String">
                <value>http://endpoint_host:8040/services/modifyOrder</value>
            </setting>
        </cosicomodo.Properties.Settings>
        <cosifacile.Properties.Settings>
            <setting name="cosifacile_quantycaReference_modifyOrder" serializeAs="String">
                <value>https://talend-dev.cosicomodo.it/esb/services/modifyOrder</value>
            </setting>
        </cosifacile.Properties.Settings>
    </applicationSettings>
</configuration>